Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils
Interface Commitable

All Known Implementing Classes:
  FileAsList

    public interface Commitable

Implementations of `Commitable` support atomic changes from one known state to another via commit/rollback semantics.

Since:
  1.3
Author:
  Matthew Pocock, Keith James

Method Summary
`void` | `commit()` `commit` commits pending changes.
`void` | `rollback()` `rollback` reverses pending changes to restore initial (or prior commit) state.

Method Detail

### commit

    void commit()
                throws CommitFailure

  `commit` commits pending changes.

  Throws:
    `CommitFailure` - if an error occurs

### rollback

    void rollback()

  `rollback` reverses pending changes to restore initial (or prior commit) state. This always succededs or raises an unchecked exception. If the rollback fails, you must raise an AssertionFailure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD